## celery 5.5.3

=== Makefile ===
PROJ=celery
PGPIDENT="Celery Security Team"
PYTHON=python
PYTEST=pytest
GIT=git
TOX=tox
ICONV=iconv
FLAKE8=flake8
PYROMA=pyroma
SPHINX2RST=sphinx2rst
RST2HTML=rst2html.py
DEVNULL=/dev/null

TESTDIR=t

SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation

WORKER_GRAPH="docs/images/worker_graph_full.png"

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncommitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."
	@echo "bump                 - Bump patch version number."
	@echo "bump-minor           - Bump minor version number."
	@echo "bump-major           - Bump major version number."
	@echo "release              - Make PyPI release."
	@echo ""
	@echo "Docker-specific commands:"
	@echo "  docker-build			- Build celery docker container."
	@echo "  docker-lint        		- Run tox -e lint on docker container."
	@echo "  docker-unit-tests		- Run unit tests on docker container, use '-- -k <TEST NAME>' for specific test run."
	@echo "  docker-bash        		- Get a bash shell inside the container."
	@echo "  docker-docs			- Build documentation with docker."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

bump:
	bumpversion patch

bump-minor:
	bumpversion minor

bump-major:
	bumpversion major

release:
	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"

Documentation:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)
	mv "$(SPHINX_HTMLDIR)" $(DOCUMENTATION)

docs: clean-docs Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)" "$(DOCUMENTATION)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) configcheck)

flakecheck:
	$(FLAKE8) "$(PROJ)" "$(TESTDIR)"

flakediag:
	-$(MAKE) flakecheck

flakes: flakediag

clean-readme:
	-rm -f $(README)

readmecheck-unicode:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

readmecheck-rst:
	-$(RST2HTML) $(README) >$(DEVNULL)

readmecheck: readmecheck-unicode readmecheck-rst

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs -r rm
	-find . -type d -name "__pycache__" | xargs -r rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov:
	$(PYTEST) -x --cov="$(PROJ)" --cov-report=html

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build


$(WORKER_GRAPH):
	$(PYTHON) -m celery graph bootsteps | dot -Tpng -o $@

clean-graph:
	-rm -f $(WORKER_GRAPH)

graph: clean-graph $(WORKER_GRAPH)

authorcheck:
	git shortlog -se | cut -f2 | extra/release/attribution.py

.PHONY: docker-build
docker-build:
	@docker compose -f docker/docker-compose.yml build

.PHONY: docker-lint
docker-lint:
	@docker compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery tox -e lint

.PHONY: docker-unit-tests
docker-unit-tests:
	@docker compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery tox -e 3.12-unit -- $(filter-out $@,$(MAKECMDGOALS))

# Integration tests are not fully supported when running in a docker container yet so we allow them to
# gracefully fail until fully supported.
# TODO: Add documentation (in help command) when fully supported.
.PHONY: docker-integration-tests
docker-integration-tests:
	@docker compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery tox -e 3.12-integration-docker -- --maxfail=1000

.PHONY: docker-bash
docker-bash:
	@docker compose -f docker/docker-compose.yml run --rm -w /home/developer/celery celery bash

.PHONY: docker-docs
docker-docs:
	@docker compose -f docker/docker-compose.yml up --build -d docs
	@echo "Waiting 60 seconds for docs service to build the documentation inside the container..."
	@timeout 60 sh -c 'until docker logs $$(docker compose -f docker/docker-compose.yml ps -q docs) 2>&1 | \
		grep "build succeeded"; do sleep 1; done' || \
		(echo "Error! - run manually: docker compose -f ./docker/docker-compose.yml up --build docs"; \
	docker compose -f docker/docker-compose.yml logs --tail=50 docs; false)
	@docker compose -f docker/docker-compose.yml down

.PHONY: catch-all
%: catch-all
	@:

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SOURCEDIR     = .
APP 		  = /docs

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  livehtml   to start a local server hosting the docs"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  apicheck   to verify that all modules are present in autodoc"
	@echo "  configcheck to verify that all modules are present in autodoc"
	@echo "  spelling   to perform a spell check"
	@echo "  changelog  to generate a changelog from GitHub auto-generated release notes"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PROJ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PROJ.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PROJ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PROJ"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: apicheck
apicheck:
	$(SPHINXBUILD) -b apicheck $(ALLSPHINXOPTS) $(BUILDDIR)/apicheck

.PHONY: configcheck
configcheck:
	$(SPHINXBUILD) -b configcheck $(ALLSPHINXOPTS) $(BUILDDIR)/configcheck

.PHONY: spelling
spelling:
	SPELLCHECK=1 $(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: livehtml
livehtml:
	sphinx-autobuild -b html --host 0.0.0.0 --port 7000 --watch $(APP) -c . $(SOURCEDIR) $(BUILDDIR)/html

.PHONY: changelog
changelog:
	@echo "Usage Instructions:"
	@echo "1. Generate release notes using GitHub: https://github.com/celery/celery/releases/new"
	@echo "   - Copy everything that's generated to your clipboard."
	@echo "   - pre-commit lines will be removed automatically."
	@echo "2. Run 'make -C docs changelog' from the root dir, to manually process the changes and output the formatted text."
	@echo ""
	@echo "Processing changelog from clipboard..."
	python ./changelog_formatter.py --clipboard

=== debian/changelog ===
celery (5.5.3-3) unstable; urgency=medium

  * Team upload.
  * Make tests compatible with pymongo >= 4.14 (closes: #1118419).

 -- Colin Watson <cjwatson@debian.org>  Tue, 28 Oct 2025 14:00:10 +0000

celery (5.5.3-2) unstable; urgency=medium

  * Team upload.
  * Replace transitional python3-tz dependency with python3-pytz
  * Drop "Rules-Requires-Root: no": it is the new default
  * Bump Standards-Version to 4.7.2

  [ Bas Couwenberg ]
  * vendor python3-click-plugins dependency (Closes: #1108454)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 14:59:31 +0200

celery (5.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 12:13:21 +0100

=== debian/control ===
Source: celery
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dvipng,
 locales,
 pybuild-plugin-pyproject,
 python3-all,
 python3-azure <!nocheck>,
 python3-billiard (>= 4.2.1),
 python3-boto3,
 python3-click-didyoumean,
 python3-click-man,
 python3-click-repl,
 python3-dateutil,
 python3-doc,
 python3-eventlet,
 python3-flaky,
 python3-kombu (>= 5.5.2),
 python3-memcache,
 python3-moto <!nocheck>,
 python3-msgpack,
 python3-openssl,
 python3-pydantic <!nocheck>,
 python3-pymongo,
 python3-pyparsing,
 python3-pytest,
 python3-pytest-click,
 python3-pytest-subtests,
 python3-pytest-timeout,
 python3-pytz,
 python3-redis (>= 4.5.2),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinx-celery (>= 2.0.0),
 python3-sphinx-click,
 python3-sqlalchemy,
 python3-vine (>= 5.0),
 python3-yaml,
 texlive-latex-base,
 texlive-latex-extra,
 tzdata-legacy,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/celery
Vcs-Git: https://salsa.debian.org/python-team/packages/celery.git
Homepage: https://docs.celeryq.dev/
Testsuite: autopkgtest-pkg-pybuild

Package: celery
Architecture: all
Section: net
Depends:
 python3-celery (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-celery-common (<< 4.4.2-3),
Replaces:
 python-celery-common (<< 4.4.2-3),
Description: async task/job queue based on message passing (common files)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the common files of the library.

Package: python-celery-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: async task/job queue based on message passing (Documentation)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the documentation.

Package: python3-celery
Architecture: all
Depends:
 python3-billiard (>= 4.0.2),
 python3-click-didyoumean,
 python3-click-repl,
 python3-dateutil,
 python3-ephem,
 python3-kombu (>= 5.0),
 python3-memcache,
 python3-pyparsing,
 python3-pytz,
 python3-vine (>= 5.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-celery-doc,
 python3-redis,
 python3-sqlalchemy,
Description: async task/job queue based on message passing (Python3 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=celery
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test.db {build_dir}/15 {build_dir}/statefilename*
export PYBUILD_TEST_ARGS= --ignore=t/unit/backends/test_base.py --ignore=t/unit/backends/test_gcs.py --ignore=t/unit/backends/test_rpc.py --ignore=t/unit/contrib/test_pytest.py --ignore=t/unit/concurrency/test_eventlet.py --ignore=t/unit/concurrency/test_prefork.py -k "not test_check_privileges[accept_content0] and not test_check_privileges[accept_content1] and not test_check_privileges[accept_content2] and not test_regression_worker_startup_info and not test_with_guid and not test_only_gid and not test_init_mongodb_dnspython2_pymongo3_seedlist" t/unit
export PYTEST_PLUGINS=celery.contrib.pytest


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_installman:
	PYTHONPATH=$(CURDIR) python3 -c "from click_man.core import write_man_pages; from celery.bin.celery import celery; from celery import __version__; write_man_pages('celery', celery, version=__version__, target_dir='$(CURDIR)')"

execute_after_dh_auto_install:
	mv debian/python3-celery/usr/bin/celery debian/celery/usr/bin
	rmdir -p --ignore-fail-on-non-empty debian/python3-celery/usr/bin

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-celery-doc/usr/share/doc/python-celery-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg,filenamemangle=s/.*\/v([\d\.]+.*)$/celery-$1/ \
https://github.com/celery/celery/tags \
/celery/celery/archive/refs/tags/v([\d\.]+)\.tar\.gz

## celery 5.6.0

=== Makefile ===
--- 
+++ 
@@ -168,7 +168,7 @@
 
 .PHONY: docker-build
 docker-build:
-	@docker compose -f docker/docker-compose.yml build
+	@DOCKER_BUILDKIT=1 docker compose -f docker/docker-compose.yml build
 
 .PHONY: docker-lint
 docker-lint:

=== debian/changelog ===
celery (5.6.0-3) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3
  * Drop dependency on to-be-removed python3-pytest-subtests
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Salsa CI: disable useless ALL/ANY jobs

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Dec 2025 14:04:57 +0100

celery (5.6.0-2) unstable; urgency=medium

  * Team upload.
  * Clean up after test_with_autoscaler_file_descriptor_safety more effectively.

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Dec 2025 12:20:15 +0000

celery (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop importing pytest_subtests (closes: #1123105).
  * Only use exceptiongroup backport for Python < 3.11.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Dec 2025 16:56:08 +0000

celery (5.5.3-4) unstable; urgency=medium

  * Team upload.
  * Drop unused python3-pytz, this uses zoneinfo from the standard library

 -- Alexandre Detiste <tchet@debian.org>  Sun, 07 Dec 2025 20:55:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  dvipng,
  locales,
  pybuild-plugin-pyproject,
@@ -22,7 +21,7 @@
  python3-doc,
  python3-eventlet,
  python3-flaky,
- python3-kombu (>= 5.5.2),
+ python3-kombu (>= 5.6.0),
  python3-memcache,
  python3-moto <!nocheck>,
  python3-msgpack,
@@ -30,11 +29,9 @@
  python3-pydantic <!nocheck>,
  python3-pymongo,
  python3-pyparsing,
- python3-pytest,
+ python3-pytest (>= 9.0.1),
  python3-pytest-click,
- python3-pytest-subtests,
  python3-pytest-timeout,
- python3-pytz,
  python3-redis (>= 4.5.2),
  python3-setuptools,
  python3-sphinx (>= 2.0.0),
@@ -43,10 +40,11 @@
  python3-sqlalchemy,
  python3-vine (>= 5.0),
  python3-yaml,
+ python3-tzlocal,
  texlive-latex-base,
  texlive-latex-extra,
  tzdata-legacy,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/celery
 Vcs-Git: https://salsa.debian.org/python-team/packages/celery.git
 Homepage: https://docs.celeryq.dev/
@@ -122,7 +120,6 @@
  python3-kombu (>= 5.0),
  python3-memcache,
  python3-pyparsing,
- python3-pytz,
  python3-vine (>= 5.0),
  ${misc:Depends},
  ${python3:Depends},

## celery 5.6.1

=== debian/changelog ===
celery (5.6.1-1) unstable; urgency=low

  * New upstream version 5.6.1
  * Drop patches now applied by upstream.
  * Update year in d/copyright.
  * Update privacy patch.
  * Set source Priority to optional.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jan 2026 11:37:13 +0000

## celery 5.6.2

=== debian/changelog ===
celery (5.6.2-3) unstable; urgency=medium

  * Team upload.
  * Remove unused (build-)dependency on python3-pyparsing.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Feb 2026 18:00:46 +0000

celery (5.6.2-2) unstable; urgency=medium

  * Team upload.
  * Make tests compatible with pymongo >= 4.16 (closes: #1126198).

 -- Colin Watson <cjwatson@debian.org>  Tue, 27 Jan 2026 12:24:37 +0000

celery (5.6.2-1) unstable; urgency=low

  * New upstream version 5.6.2
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jan 2026 19:40:24 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
 Section: python
+Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -28,7 +29,6 @@
  python3-openssl,
  python3-pydantic <!nocheck>,
  python3-pymongo,
- python3-pyparsing,
  python3-pytest (>= 9.0.1),
  python3-pytest-click,
  python3-pytest-timeout,
@@ -38,9 +38,9 @@
  python3-sphinx-celery (>= 2.0.0),
  python3-sphinx-click,
  python3-sqlalchemy,
+ python3-tzlocal,
  python3-vine (>= 5.0),
  python3-yaml,
- python3-tzlocal,
  texlive-latex-base,
  texlive-latex-extra,
  tzdata-legacy,
@@ -119,7 +119,6 @@
  python3-ephem,
  python3-kombu (>= 5.0),
  python3-memcache,
- python3-pyparsing,
  python3-vine (>= 5.0),
  ${misc:Depends},
  ${python3:Depends},

## celery context-0.0.3.21030419

=== requirements.txt ===
celery
flask

## celery debounce-0.2.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = celery_debounce
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## celery exporter-1.5.0

=== Makefile ===
.PHONY: help clean test
.DEFAULT_GOAL := help

DOCKER_REPO="ovalmoney/celery-exporter"
DOCKER_VERSION="latest"

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

all: clean test docker_build ## Clean and Build

clean: ## Clean folders
	rm -rf dist/ *.egg-info

test: ## Run tests and coverage
	coverage run -m pytest test/ \
  && coverage report

docker_build: ## Build Docker file
	export DOCKER_REPO
	export DOCKER_VERSION

	docker build \
		--build-arg DOCKER_REPO=${DOCKER_REPO} \
		--build-arg VERSION=${DOCKER_VERSION} \
		--build-arg VCS_REF=`git rev-parse --short HEAD` \
		--build-arg BUILD_DATE=`date -u +”%Y-%m-%dT%H:%M:%SZ”` \
		-f ./Dockerfile \
		-t ${DOCKER_REPO}:${DOCKER_VERSION} \
		.

help: ## Print this help
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

=== requirements/requirements.txt ===
-r base.txt
amqp==2.4.2
billiard==3.5.0.5
celery==4.2.1
kombu==4.4.0
pytz==2018.9
vine==1.3.0
